View Issue Details

IDProjectCategoryView StatusLast Update
0014289ScribusImport / Exportpublic2017-12-20 20:59
Reportermapreri Assigned Tojghali  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version1.4.6 
Target Version1.5.4Fixed in Version1.5.4.svn 
Summary0014289: Some EPS files are rotated when exporting to a PDF file
DescriptionAs reported in Debian at https://bugs.debian.org/837784 :


I was preparing a poster with included EPS files prepared with Inkscape
After the poster was ready, I have exported it to the PDF file.
It appeared, that some EPS figure got rotated by 90 degrees.
I have prepared a minimal version of the document, that shows the problem.
The attached PNG file shows, how the document looks in the scribus GUI.
The attached EPS file shows the result of EPS export - the result is
correct.
The attached PDF file shows the result of PDF export - one figure is
rotated by 90 degrees.

I attach the ZIP file with sources - the SLA file and included figures
(both in source SVG form
and in the EPS form exported from Inkscape for inclusion into Scribus).
It seems, that the problem is related to the figures containig text
objects with different orientation.
TagsNo tags attached.
PatchNo

Activities

mapreri

2016-09-18 12:01

reporter  

sources.zip (36,090 bytes)

mapreri

2016-09-18 12:02

reporter  

poster.eps (62,578 bytes)

mapreri

2016-09-18 12:02

reporter  

poster.pdf (25,096 bytes)

mapreri

2016-09-18 12:02

reporter  

screen.png (86,597 bytes)
screen.png (86,597 bytes)

mapreri

2016-09-18 12:03

reporter   ~0042020

I could reproduce the issue using the attached .sla both in 1.4.6 and in 1.5.2.

Kunda

2016-11-19 04:13

manager   ~0042467

@PeterBenedek please test when you get a moment. thanks!

PeterBenedek

2016-11-20 11:30

developer  

0014289.png (58,530 bytes)
0014289.png (58,530 bytes)

PeterBenedek

2016-11-20 11:33

developer   ~0042479

Last edited: 2016-11-20 11:41

View 3 revisions

Tested: Linux Mint 18; Scribus 1.5.3; r21521

I opened .sla file in Scribus.

This I see it: 0014289.png

Image 1 (left, top)
X-Scale: 123,46%
Y-Scale: 123,46%
Actual X-DPI: 58,30
Actual Y-DPI: 58,30

Image 2 (right, top)
X-Scale: 100,00%
Y-Scale: 100,00%
Actual X-DPI: 72
Actual Y-DPI: 72

Image 3 (left, bottom)
X-Scale: 100,00%
Y-Scale: 100,00%
Actual X-DPI: 72
Actual Y-DPI: 72

Issue History

Date Modified Username Field Change
2016-09-18 12:01 mapreri New Issue
2016-09-18 12:01 mapreri File Added: sources.zip
2016-09-18 12:02 mapreri File Added: poster.eps
2016-09-18 12:02 mapreri File Added: poster.pdf
2016-09-18 12:02 mapreri File Added: screen.png
2016-09-18 12:03 mapreri Note Added: 0042020
2016-11-02 21:15 Kunda Target Version => 1.5.4.svn
2016-11-02 21:15 Kunda Status new => confirmed
2016-11-19 04:13 Kunda Note Added: 0042467
2016-11-20 11:30 PeterBenedek File Added: 0014289.png
2016-11-20 11:33 PeterBenedek Note Added: 0042479
2016-11-20 11:41 PeterBenedek Note Edited: 0042479 View Revisions
2016-11-20 11:41 PeterBenedek Note Edited: 0042479 View Revisions
2016-11-21 22:16 cbradney Assigned To => jghali
2016-11-21 22:16 cbradney Status confirmed => assigned
2017-06-05 09:19 jghali Target Version 1.5.4.svn => 1.5.4
2017-06-05 09:19 jghali Summary Some EPS files are rotated when export to a PDF file => Some EPS files are rotated when exporting to a PDF file
2017-06-05 09:20 jghali Status assigned => resolved
2017-06-05 09:20 jghali Resolution open => fixed
2017-06-05 09:20 jghali Fixed in Version => 1.5.4.svn
2017-12-20 20:59 cbradney Status resolved => closed